Subject: Re: What's cooking in git.git (Oct 2012, #01; Tue, 2)

From: Andreas Schwab <[email-masked]>
Date: Fri, 05 Oct 2012 16:15:39 +0200

Matthieu Moy <[email-masked]> writes:

> Andreas Schwab <[email-masked]> writes:
>
>> Junio C Hamano <[email-masked]> writes:
>>
>>> When we require "x/**/y", I think we still want it to match "x/y".
>>
>> FWIW, in bash (+extglob), ksh and zsh it doesn't.
>
> You're right about bash, but I see the opposite for zsh and ksh:
>
> zsh$ echo x/**/y
> x/y x/z/y
>
> ksh$ echo x/**/y
> x/y x/z/y

Looks like this is different between filename expansion and case pattern
matching (I only tested the latter).

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."